2017-12-15 23:47 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002569OpenFOAMPatchpublic2017-07-11 09:54
Reporteraguerrehoracio 
Assigned Tohenry 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002569: changeDictionary utility does not run for all the time range selected
DescriptionWhen running changeDictionary with -time option, the utility only works for the first time of the range provided.

For example: changeDictionary -time 0: (we want to run for all time folders) works only for the time "0".


Additional InformationIn file changeDictionary.C line 431

--> runTime.setTime(times[0], 0);

only the first time of the timeList is used. In attached file I put this line inside a loop over "times" and the issue is fixed.
TagsPre-processing
Attached Files

-Relationships
+Relationships

-Notes

~0008269

henry (manager)

It doesn't make much sense to override the "instance" name with a command-line value in the time loop:

    forAll(times, timeI)
    {
        runTime.setTime(times[timeI], timeI);
        word instance
        (
            args.optionLookupOrDefault("instance", runTime.timeName())
        );

surely if the "instance" option is specified the time-loop should not be executed.

~0008270

henry (manager)

Please test commit ed8538a85cedb9431c0bb6ed58138ffd4f1a87bc and let me know if there are any issues.

~0008381

henry (manager)

From the lack of response from the reporter I assume this is now resolved. Please re-open if there are issues with new implementation.
+Notes

-Issue History
Date Modified Username Field Change
2017-06-03 23:56 aguerrehoracio New Issue
2017-06-03 23:56 aguerrehoracio File Added: changeDictionary.C
2017-06-03 23:56 aguerrehoracio Tag Attached: Pre-processing
2017-06-20 23:09 wyldckat Category Bug => Patch
2017-06-26 17:52 henry Note Added: 0008269
2017-06-26 19:14 henry Note Added: 0008270
2017-07-11 09:54 henry Assigned To => henry
2017-07-11 09:54 henry Status new => resolved
2017-07-11 09:54 henry Resolution open => fixed
2017-07-11 09:54 henry Fixed in Version => dev
2017-07-11 09:54 henry Note Added: 0008381
+Issue History